/*
Zombie PCB (v1 & v2) Notes.

Pins:

- 0-5v inputs for Brake and Throttle.
- Batt - Power supply, StartSig
- 3.3v - Serial0
- 5v - CAN
- Oil, Coolant, InvEnable - all pulled to ground so 12v ok.
- 5v - Ext-LED

(*) Batt refers to 11v-15v DC battery voltage.

Purpose:

 - code designed to stop the inverter unless run-conditions are met.
 - main danger is uncontrolled run away of motor, luckily Mitsubshi have done most of this for us - no CAN no torque.
 - ideal safety case is inverter stops and leaves driver in control of car.
 - driver can't turn off ign when moving as steering lock would engage

Failure tree:

Failure			  Mitigation
----------------------------------------------------------
Throttle		  Dual pots on throttle, Code detects mismatch and stops inverter.  Prevents run away.
Throttle		  "latch" when brake pressed, waits for throttle to drop to 0% before re-enabling. Prevents run away if throttle not closed when braking.
Throttle		  Dead zone high and low, stops inverter.
Brake Switch	  zero throttle would stop run-away.
Brake & throttle  Driver has mechanical brake and gearbox to control car.  Ignition switch would stop inverter once vehicle stopped.
CAN				  no can to inverter - so inverter stops
ProcessorReboot   returns to VEHICLE_IDLE mode, and stops inverter
Processor 		  outputs go floating and pull downs stop inverter.  Also no CAN to inverter, so it stops by default.

Mitigations
 - Driver always has mechanical steering, foot brake, gears and handbrake.

Notes:
 - single pot on brake switch is a single point of failure
 - single pot on throttle is a single point of failure
 - ideally brake should be high to 5v, and pulled low on actuation - then default is "on".
 */